
AGRO-POPC - Zadanie #2673
Zadanie # 2664 (W toku): Zbiorcze podsumowanie zadań po audycie WCAG
Poprawa opisów alternatywnych ikon w treści helpa
2021-09-23 09:57 - Tomasz Blazejczyk

Status: Zamknięty Start date: 2021-09-23
Priority: Normalny Due date:
Assignee: % Done: 100%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Developer: Rewizja rozwiązania:
Tester: Rewizja testów:
Description

Strona http://agro.icm.edu.pl/agro/help/bwmeta1.element.help.agro.advanced.searc
h.results.list

W treści pomocy znajdują się ikonki - zgłoszenie audytowe mówi że:

Opis alternatywny strzałek nie informuje użytkownika wprost o różnicy między nimi. Np.
Czytnik ekranu przeczyta dla jednej strzałki „wstecz” a dla drugiej „poprzedni”. Jaka jest różnica między tymi
elementami?
<img src="/agro/download/bwmeta1.element.help/content/image/arrow-ff.jpg" alt="wprzód">
<img src="/agro/download/bwmeta1.element.help/content/image/arrow-next.jpg" alt="następny">

czyli to co jest wpisane w <alt> powinno zgadzać się z dalszym opisem

History
#1 - 2021-09-23 14:43 - Tomasz Lewandowski
- Status changed from Nowy to W toku

#2 - 2022-02-03 09:02 - Tomasz Lewandowski
- Status changed from W toku to Testowanie
- % Done changed from 0 to 100

http://agro.icm.edu.pl/agro/help/bwmeta1.element.help.agro.advanced.search.results.list

opisy w alt "następny", "poprzedni", "wprzód", "wstecz" oraz "pierwszy", "ostatni" zamieniono na:

<ul class="circle">
            <li><img src="bwmeta1.element.help/content/image/arrow-previous.jpg" alt="poprzedni ekran" /> 
            <img src="bwmeta1.element.help/content/image/arrow-next.jpg" alt="następny ekran" /> - jeden ekran wstecz albo wprzód</li>
            <li><img src="bwmeta1.element.help/content/image/arrow-fr.jpg" alt="10 ekranów wstecz" /> 
            <img src="bwmeta1.element.help/content/image/arrow-ff.jpg" alt="10 ekranów wprzód" />- dziesięć ekranów wstecz albo wprzód</li>
            <li><img src="bwmeta1.element.help/content/image/arrow-first.jpg" alt="pierwszy ekran" /> 
            <img src="bwmeta1.element.help/content/image/arrow-last.jpg" alt="ostatni ekran" /> - początek albo koniec listy wyników wyszukiwania</li>
        </ul>

Dodatkowo zmieniono alt dla obokTytulu.jpg z "ikonka" na
<img src="bwmeta1.element.help/content/image/obokTytulu.jpg" alt="dostępny pełny tekst artykułu" />
#3 - 2022-02-03 09:03 - Tomasz Lewandowski

bwmetę w paczce help trzeba było zmienić z 1.2.0 na 2.2.0, wpp tagi html nie parsowały się poprawnie i na stronie widoczny był wyłącznie tekst, bez
formatowania.

#4 - 2022-02-03 09:04 - Tomasz Lewandowski
- Status changed from Testowanie to Rozwiązany
- Assignee deleted (Tomasz Lewandowski)

#5 - 2022-02-03 09:04 - Tomasz Lewandowski
- Status changed from Rozwiązany to Zamknięty
